[ 解決済 ] Katawara1.15.0でFatal errorが発生します

VWSとは フォーラム Katawara [ 解決済 ] Katawara1.15.0でFatal errorが発生します

[ 解決済 ] Katawara1.15.0でFatal errorが発生します

4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • 投稿者
    投稿
  • #65260

    ■ WordPress のバージョン
    6.0

    ■ テーマ・プラグインは全て最新版で確認してください。
    確認しました。

    ■ 子テーマをご利用の場合は親テーマに変更して症状が改善するか確認してください。
    確認しました。

    ■ テーマの種類
    Katawara

    ■ テーマのバージョン
    1.15.0

    ■ 関連しそうなプラグインを一つづつ停止して症状が改善するか確認してください。
    確認しました。

    ■ プラグインの種類・バージョン
    VK Blocks Pro・バージョン 1.34.1.0

    ■ 期待する動作
    デバッグ画面に該当プラグインのディレクトリ名が一瞬表示されたので、疑ってみましたが、関係無いようでした。

    ■ 自分で試した事
    プラグインをすべて外して確認しました。
    症状は変わりませんでした。

    /themes/katawara/inc/vk-font-selector/package/class-vk-font-selector.phpの587行目をコメントアウトすることで、ひとまずエラーは消えます。

    //$fonts[ $family ][‘is_text’] = true;

    ver_dumpで内容を表示しようとしても、同じエラーが出ました。

    ■ 症状が発生するブラウザ
    Chrome、Firefox、EDGE(Mac・Windows)

    ■ 実際の症状
    Fatal error: Uncaught Error: Cannot access offset of type string on string が出ます。

    エラー箇所は /themes/katawara/inc/vk-font-selector/package/class-vk-font-selector.php on line 581 です。

    ■ その他特記事項
    現在、コメントアウトしてありますので、サイトに症状は出ておりません。
    同じ構成でも、エラーの出ていないサイトもありました。
    ※サーバは違います。
    PHPは8.0です。


    該当URL : https://*********

    ※該当URLはフォーラムライセンスが有効のユーザーにのみ表示されます

    #65264

    Vektor,Inc
    キーマスター

    ご報告ありがとうございます。
    現在調査中でございます。
    ご不便おかけしますが、しばらくお待ちください。

    https://github.com/vektor-inc/katawara/issues/183

    • この返信は1ヶ月、 1週前にVektor,Incが編集しました。
    #65276

    ご報告ありがとうございます。弊社環境では Warnning が確認されましたので修正版 1.15.1 をアップしましたので、
    アップデートの上ご確認くださいませ。

    https://github.com/vektor-inc/vektor-wp-libraries/pull/84/files

    お手数おかけして恐れ入りますがよろしくお願いいたします。

    #65295

    バージョンアップで解消しました。
    ありがとうございました。

4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • このトピックに返信するにはログインが必要です。